DRM_GEM_CMA_PRIME_VU(9)

NAME
drm_gem_cma_prime_vunmap - unmap a CMA GEM object from the kernel's virtual address space

SYNOPSIS

void drm_gem_cma_prime_vunmap(struct drm_gem_object * obj, void * vaddr);

ARGUMENTS

obj
    GEM object

vaddr
    kernel virtual address where the CMA GEM object was mapped

DESCRIPTION

This function removes a buffer exported via DRM PRIME from the kernel's virtual address space. This is a no-op because CMA buffers cannot be unmapped from kernel space. Drivers using the CMA helpers should set this as their DRM driver's ->gem_prime_vunmap callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT